Loading...
Searching...
No Matches
_snd_ump_msg_midi2_note Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | note
uint8_t | attr_type
uint16_t | velocity
uint16_t | attr_data

## Detailed Description

MIDI 2.0 Note Off / Note On (64bit)

## Field Documentation

## attr_data

uint16_t _snd_ump_msg_midi2_note::attr_data

Attribute data (16bit)

## attr_type

uint8_t _snd_ump_msg_midi2_note::attr_type

Attribute type

## channel

uint8_t _snd_ump_msg_midi2_note::channel

Channel

## group

uint8_t _snd_ump_msg_midi2_note::group

UMP Group

## note

uint8_t _snd_ump_msg_midi2_note::note

Note (7bit)

## status

uint8_t _snd_ump_msg_midi2_note::status

Status

## type

uint8_t _snd_ump_msg_midi2_note::type

UMP packet type

## velocity

uint16_t _snd_ump_msg_midi2_note::velocity

Velocity (16bit)

The documentation for this struct was generated from the following file:

- /build/alsa-lib-zhIrRC/alsa-lib-1.2.14/include/ump_msg.h